ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::xml::OMEEntityResolver Class Reference

Entity resolver for the OME schemas. More...

`#include <ome/xml/OMEEntityResolver.h>`

Inheritance diagram for ome::xml::OMEEntityResolver:
[legend]
Collaboration diagram for ome::xml::OMEEntityResolver:
[legend]

## Public Member Functions
| OMEEntityResolver ()
| Constructor.
| ~OMEEntityResolver ()
| Destructor.
Public Member Functions inherited from ome::common::xml::EntityResolver
xercesc::InputSource * | resolveEntity (xercesc::XMLResourceIdentifier *resource)
void | registerEntity (const std::string &id, const boost::filesystem::path &file)
void | registerCatalog (const boost::filesystem::path &file)

## Detailed Description

Entity resolver for the OME schemas.

This resolver will resolve local copies of all the OME schemas distributed with Bio-Formats.

The documentation for this class was generated from the following files:

- ome/xml/OMEEntityResolver.h
- ome/xml/OMEEntityResolver.cpp